
%global meadversion 1.1.6
%global namedversion 1.1.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package vdx}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.6.redhat-1

Name:           %{?scl_prefix}vdx
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        VDX
Group:          Development/Java

%if %with mead
Source100: vdx-parent-1.1.6.redhat-1-project-sources.tar.gz
Source102: vdx-parent-1.1.6.redhat-1-scm-sources.zip
Source103: vdx-wildfly-1.1.6.redhat-1.jar
Source104: vdx-wildfly-1.1.6.redhat-1.pom
Source105: vdx-wildfly-1.1.6.redhat-1-sources.jar
Source106: vdx-wildfly-1.1.6.redhat-1-javadoc.jar
Source107: vdx-core-1.1.6.redhat-1-sources.jar
Source108: vdx-core-1.1.6.redhat-1.jar
Source109: vdx-core-1.1.6.redhat-1.pom
Source110: vdx-core-1.1.6.redhat-1-javadoc.jar
Source111: vdx-parent-1.1.6.redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://github.com/projectodd/vdx/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
VDX Parent POM.

%package core
Summary:        VDX Core
Group:          Development/Java


%description core
VDX Core utils.

%package wildfly
Summary:        VDX WildFly
Group:          Development/Java


%description wildfly
VDX WildFly support.

%if %with javadoc
%package javadoc
Summary:        Javadoc for vdx
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n vdx-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}-sources.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/vdx-%{namedversion}
unzip -qq %{_sourcedir}/vdx-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/vdx-%{namedversion} -x META-INF/\*
%{__ln_s} vdx-%{namedversion} %{buildroot}%{_javadocdir}/vdx
%endif

%clean
%{__rm} -rf %{buildroot}

%files core
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE.txt
%{_javadir}/vdx-core-%{namedversion}.jar
%{_javadir}/vdx-core.jar
%if %with javadoc
%{_javadir}/vdx-core-%{namedversion}-javadoc.jar
%{_javadir}/vdx-core-javadoc.jar
%endif
%{_javadir}/vdx-core-%{namedversion}-sources.jar
%{_javadir}/vdx-core-sources.jar

%files wildfly
%defattr(0644,root,root,0755)
%{_javadir}/vdx-wildfly-%{namedversion}.jar
%{_javadir}/vdx-wildfly.jar
%if %with javadoc
%{_javadir}/vdx-wildfly-%{namedversion}-javadoc.jar
%{_javadir}/vdx-wildfly-javadoc.jar
%endif
%{_javadir}/vdx-wildfly-%{namedversion}-sources.jar
%{_javadir}/vdx-wildfly-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/vdx-%{namedversion}
%{_javadocdir}/vdx
%endif

%changelog
* Thu Dec 15 2022 Permaine Cheung <pcheung@redhat.com> - 1.1.6-2.redhat_1.1
- Relax R:

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.1.6-1.redhat_1.1
- Built by CPaaS

